Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.security.management.credentials
Class CredentialHelper

    java.lang.Object
      com.bea.p13n.security.management.credentials.CredentialHelper

    public class CredentialHelper

extends Object

Constructor Summary
`CredentialHelper()`

Method Summary
`static String` | `getRepositoryPassword(weblogic.security.acl.internal.AuthenticatedSubject authSubj, String repositoryAlias, P13nResource repositoryResource)`
`static void` | `removeRepositoryPassword(weblogic.security.acl.internal.AuthenticatedSubject authSubj, String repositoryAlias, P13nResource repositoryResource, String remoteUser)`
`static void` | `setRepositoryPassword(weblogic.security.acl.internal.AuthenticatedSubject authSubj, String repositoryAlias, P13nResource repositoryResource, String repositoryUser, String clearTextPassword)`
`static String` | `toPwdString(char[] carray)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CredentialHelper

    public CredentialHelper()

Method Detail

### toPwdString

    public static String toPwdString(char[] carray)

### getRepositoryPassword

    public static String getRepositoryPassword(weblogic.security.acl.internal.AuthenticatedSubject authSubj,
                                               String repositoryAlias,
                                               P13nResource repositoryResource)

### setRepositoryPassword

    public static void setRepositoryPassword(weblogic.security.acl.internal.AuthenticatedSubject authSubj,
                                             String repositoryAlias,
                                             P13nResource repositoryResource,
                                             String repositoryUser,
                                             String clearTextPassword)

### removeRepositoryPassword

    public static void removeRepositoryPassword(weblogic.security.acl.internal.AuthenticatedSubject authSubj,
                                                String repositoryAlias,
                                                P13nResource repositoryResource,
                                                String remoteUser)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.